#-------------------------------------------------------------------------------
# Copyright 2008-2012 Istituto Nazionale di Fisica Nucleare (INFN)
#
# Licensed under the EUPL, Version 1.1 only (the "Licence").
# You may not use this work except in compliance with the Licence.
# You may obtain a copy of the Licence at:
#
# http://joinup.ec.europa.eu/system/files/EN/EUPL%20v.1.1%20-%20Licence.pdf
#
# Unless required by applicable law or agreed to in
# writing, software distributed under the Licence is
# distributed on an "AS IS" basis,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
# either express or implied.
# See the Licence for the specific language governing
# permissions and limitations under the Licence.
#-------------------------------------------------------------------------------

%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

%define python_version 2.4
%define is_eq %(test %python_version == 2.4 && echo 1 || echo 0)

Name:    wnodes_accounting
Version: 1.0.0
Release: 4%{?dist}
Vendor:  INFN CNAF
License: EUPL
URL:     http://web.infn.it/wnodes/ 
Group: Library
Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/build-root-%{name}-%{version}
BuildArch: noarch
Distribution: any
Packager: elisabetta ronchieri elisabetta.ronchieri@cnaf.infn.it
Summary: INFN CNAF WNODES ACCOUNTING

BuildRequires: automake
BuildRequires: python
Requires: python
Requires: wnodes_utils

%description
It contains accounting of WNODES.

%prep
echo Building %{name}-%{version}

%setup -q -n %{name}-%{version}

%build
/bin/sh auto.sh
./configure --prefix=/usr --datadir=/usr/share --exec_prefix=/usr --bindir=/usr/bin
make

%install
rm -rf $RPM_BUILD_ROOT/
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%{_bindir}/wnodes_accounting
#%dir %{_sysconfdir}/wnodes/
#%dir %{_sysconfdir}/wnodes/accounting
#%config(noreplace) %{_sysconfdir}/wnodes/accounting/
#%config(noreplace) %{_sysconfdir}/wnodes/accounting/

%defattr(-, root, root, 0755)
%dir %{python_sitearch}/wnodes/
%dir %{python_sitearch}/wnodes/accounting
%{python_sitearch}/wnodes/accounting/__init__.py
%{python_sitearch}/wnodes/accounting/__init__.pyc
%{python_sitearch}/wnodes/accounting/__init__.pyo
%{python_sitearch}/wnodes/accounting/message_format.py
%{python_sitearch}/wnodes/accounting/message_format.pyc
%{python_sitearch}/wnodes/accounting/message_format.pyo
%{python_sitearch}/wnodes/accounting/record_format.py
%{python_sitearch}/wnodes/accounting/record_format.pyc
%{python_sitearch}/wnodes/accounting/record_format.pyo
%{python_sitearch}/wnodes/accounting/requests.py
%{python_sitearch}/wnodes/accounting/requests.pyc
%{python_sitearch}/wnodes/accounting/requests.pyo
%{python_sitearch}/wnodes/accounting/usage.py
%{python_sitearch}/wnodes/accounting/usage.pyc
%{python_sitearch}/wnodes/accounting/usage.pyo
%dir %{python_sitearch}/wnodes/accounting/tests
%{python_sitearch}/wnodes/accounting/tests/__init__.py
%{python_sitearch}/wnodes/accounting/tests/__init__.pyc
%{python_sitearch}/wnodes/accounting/tests/__init__.pyo
%{python_sitearch}/wnodes/accounting/tests/test_accounting_version.py
%{python_sitearch}/wnodes/accounting/tests/test_accounting_version.pyc
%{python_sitearch}/wnodes/accounting/tests/test_accounting_version.pyo
%{python_sitearch}/wnodes/accounting/tests/test_message.py
%{python_sitearch}/wnodes/accounting/tests/test_message.pyc
%{python_sitearch}/wnodes/accounting/tests/test_message.pyo
%{python_sitearch}/wnodes/accounting/tests/test_requests.py
%{python_sitearch}/wnodes/accounting/tests/test_requests.pyc
%{python_sitearch}/wnodes/accounting/tests/test_requests.pyo

%doc %dir %{_datadir}/doc/%{name}-%{version}
%doc %{_datadir}/doc/%{name}-%{version}/CREDITS
%doc %{_datadir}/doc/%{name}-%{version}/LICENSE
%doc %{_datadir}/doc/%{name}-%{version}/LICENSE-en.pdf
%doc %{_datadir}/doc/%{name}-%{version}/LICENSE-it.pdf
%doc %{_datadir}/doc/%{name}-%{version}/README

%changelog
* Wed Jan 4 2013 Elisabetta Ronchieri - 1.0.0-2
- Fixed the header of the message that has the record APEL-cloud-message 

* Wed Jan 2 2013 Elisabetta Ronchieri - 1.0.0-1
- Added packaging
